Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.gps
Class SatelliteState

    java.lang.Object
      org.ka2ddo.gps.SatelliteState

    public class SatelliteState

extends java.lang.Object

This class contains all the known information for one GPS satellite.

Field Summary
`int` | `azimuth` Horizontal orientation to this satellite relative to the current surface position and True North.
`int` | `elevation` Elevation above the horizon for this satellite relative to the current surface position.
`boolean` | `inUseByRcvr` Boolean true if this satellite is currently being used for position calculation.
`int` | `prn` Pseudo-random number identifying this satellite (also known as Satellite Vehicle number).
`int` | `snr` Signal-to-noise ratio code for current reception of this satellite.

Constructor Summary
`SatelliteState(int prn)` Create a SatelliteState record for a particular satellite.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prn

    public final int prn

  Pseudo-random number identifying this satellite (also known as Satellite Vehicle number).

### inUseByRcvr

    public boolean inUseByRcvr

  Boolean true if this satellite is currently being used for position calculation.

### elevation

    public int elevation

  Elevation above the horizon for this satellite relative to the current surface position.

### azimuth

    public int azimuth

  Horizontal orientation to this satellite relative to the current surface position and True North.

### snr

    public int snr

  Signal-to-noise ratio code for current reception of this satellite.

Constructor Detail

### SatelliteState

    public SatelliteState(int prn)

  Create a SatelliteState record for a particular satellite.

  Parameters:
    `prn` - Satellite Vehicle number

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD